      real function lorentz(e1, e0, sigma)
c
c Returns the unormalised value of a Lorentz function
c
      implicit none

c  Local Variables
      real e1, e0, sigma, var1

c  Local Constants
      real threshold
      parameter (threshold = 5.0e-3)

c  External Functions

c  Common Parameters

c-
      var1 = ((e1-e0)/sigma)**2
      lorentz = 1.0 / (1.0 + (0.5*var1))
      if (lorentz .lt. threshold) then
        lorentz = 0.0
      endif

      return
      end





