C-UL
C-UL    Constant parametes and variables in common blocks
C-UL
C-RDS V3.0 - added gmax, gall, gzero variables from SSE update (29/4/2001)
C-UL
C-UL  (--- parameters ------------------------------------------------------)
C-UL
      integer NPARAM, NEMAX, NALL, NZERO, GALL, GZERO, 
     *             MAXCHAN, MAXGRADE

      parameter(NPARAM=13)    ! number of model parameters

      parameter(NEMAX=200)    ! max number of energies parameters are
                              ! sampled at

      parameter(NALL=6)       ! number of different grade types:
                              ! 1: GRADE 1 - main
                              ! 2: GRADE 1 - leak
                              ! 3: GRADE 2 - main
                              ! 4: GRADE 2 - leak
                              ! 5: GRADE 3
                              ! 6: GRADE 4

      parameter(NZERO=2)      ! number of GRADE-1 types (main+leak)

      parameter(GALL=4)       ! number of pattern grades (RDS v3.0)

      parameter(GZERO=1)      ! RDS v3.0

      parameter(MAXCHAN=4096) ! max number of output channels

      parameter(MAXGRADE=4)   ! max number of different grades

C-UL
C-UL (--- variables in common block ----------------------------------------)
C-UL
      integer jmax            ! max grade type to consider
      integer gmax            ! max number of pattern grades ! RDS v3.0
      integer nebin           ! number of native energy bins
      integer nepts(NALL)     ! number of energy points per grade type
      integer model(NALL)     ! model ID per grade type
      integer grade(NALL)     ! grade per grade type

      real    epar(NEMAX)     ! energies axis of model parameters
      real    param(NPARAM, NEMAX, NALL) ! parameter values
      real    ewidth          ! width of native energy bins
      real    threshold       ! no response below this treshold [eV]
      real    back_sigma      ! sigma for noise convolution [eV]
      real    echlo(MAXCHAN)  ! lower bounds of channels axis
      real    echhi(MAXCHAN)  ! upper bounds of channels axis

      common /rmfcom/ jmax, gmax, epar, param, model, grade, nepts, 
     *             ewidth, nebin, threshold, back_sigma, echlo, 
     *             echhi

      real si_kedge, si_kalpha
      common /silicon/ si_kedge, si_kalpha
